Skip to main content
GET
/
user
/
calendar_events
Upcoming calendar events
curl --request GET \
  --url https://api.supernormal.com/api/v1/user/calendar_events \
  --header 'X-API-TOKEN: <api-key>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "url": "<string>",
    "post_id": "<string>",
    "is_recurring": true,
    "is_blocked_from_capture": true,
    "start": "<string>",
    "end": "<string>",
    "platform_name": "google_meet",
    "scheduled_to_record": true
  }
]

Authorizations

X-API-TOKEN
string
header
required

Query Parameters

from
string

The start date of the calendar events in ISO 8601 format

to
string

The end date of the calendar events in ISO 8601 format

Response

200 - application/json

Calendar events response

id
string

The calendar event’s ID

name
string

The calendar event’s name

url
string

The calendar event’s URL

post_id
string

The calendar event’s post ID

is_recurring
boolean

Whether the calendar event is recurring

is_blocked_from_capture
boolean

Whether the calendar event is blocked from capture

start
string

The calendar event’s start time

end
string

The calendar event’s end time

platform_name
enum<string>

The calendar event’s platform name

Available options:
google_meet,
teams,
zoom
scheduled_to_record
boolean

Whether the calendar event is scheduled to record